Opened 14 years ago

Closed 14 years ago

#84 closed defect (fixed)

Error compiling rev.549 ...

Reported by: satspyvk Owned by:
Priority: major Component:
Severity: medium Keywords:
Cc: Sensitive: no

Description

oscam-log.c: In function âcs_init_logâ:
oscam-log.c:70: error: expected â,â or â;â before âCS_SVN_VERSIONâ
make[1]: * [lib/libcs-i686-pc-linux.a(oscam-log.o)] GreĹĄka 1
make: [i386-pc-linux] GreĹĄka 2 (ignorirana)

Change History (4)

comment:1 by satspyvk, 14 years ago

I forgot, system is Linux Centos 5.4.

comment:2 by phrog, 14 years ago

Resolution: fixed
Status: newclosed

try again removing all files in build-dir

in reply to:  2 comment:3 by satspyvk, 14 years ago

Resolution: fixed
Status: closedreopened

Replying to phrog:

try again removing all files in build-dir

Yes, i have removed oscam-svn dir completely ! And same error occures.

I have found that CS_SVN_VERSION is not declared in globals.h.
When i have declare it, it works fine, but there i found another error.

I file "Maketype" you must correct to "reader-nds-de.o", otherwise linker fails to link binary.

With that two correczions, it compile now OK for me.

Thanks !

comment:4 by rorothetroll, 14 years ago

Resolution: fixed
Status: reopenedclosed

it's probably fixed by now regarding that we are at revision 783. closing. reopen if needed

Note: See TracTickets for help on using tickets.